Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Several sites, specifically gmail and all of myspace, recommend I upgrade to the newest version of my browser in order to enjoy a betetr experience.

  • 2 replies
  • 5 have this problem
  • 12 views
  • Last reply by Highwrath

more options

Several sites, specifically gmail and all of myspace, recommend I upgrade to the newest version of my browser in order to enjoy a betetr experience. Seems these sites do not recognize that I am running firefox 10.0.2, these sites work fine in chrome but not firefox.

Message on gmail site: Some important features may not work in this version of your browser, so you have been redirected to the Basic HTML version.

Message on myspace: Upgrade your browser for a better Myspace experience.

Chosen solution

Can you try to reset your useragent setting? Instruction can be locate here, see Helper7677 's 3rd instruction

Read this answer in context 👍 1

All Replies (2)

more options

Chosen Solution

Can you try to reset your useragent setting? Instruction can be locate here, see Helper7677 's 3rd instruction

Modified by Swarnava Sengupta

more options

Resetting useragent worked. Thank you!